This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1011049 - spacewalk-splice-tool: network info with ';' causes error
spacewalk-splice-tool: network info with ';' causes error
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: Splice (Show other bugs)
1.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Splice Developers
mkovacik
:
Depends On:
Blocks: sam20-tracker
  Show dependency treegraph
 
Reported: 2013-09-23 10:26 EDT by Chris Duryee
Modified: 2016-10-04 16:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-04 16:01:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1243013 None None None Never

  None (edit)
Description Chris Duryee 2013-09-23 10:26:03 EDT
Description of problem:

If the network info for a system (as read from spacewalk-report splice-export) contains a ';' character, sst will fail.

Version-Release number of selected component (if applicable): 0.46


How reproducible: every time


Steps to Reproduce:
1. create a system in sat 5.6 with a network interface like ";vdsmdummy;"
2. run spacewalk-splice-checkin --spacewalk-sync

Actual results:

Traceback (most recent call last):
  File "/usr/bin/spacewalk-splice-checkin", line 100, in <module>
    checkin.main(opts)
  File "/usr/lib/python2.6/site-packages/spacewalk_splice_tool/checkin.py", line 225, in main
    spacewalk_sync(options)
  File "/usr/lib/python2.6/site-packages/spacewalk_splice_tool/checkin.py", line 171, in spacewalk_sync
    consumers.extend(dt.transform_to_consumers(system_details))
  File "/usr/lib/python2.6/site-packages/spacewalk_splice_tool/transforms.py", line 83, in transform_to_consumers
    facts_data = facts.translate_sw_facts_to_subsmgr(details)
  File "/usr/lib/python2.6/site-packages/spacewalk_splice_tool/facts.py", line 27, in translate_sw_facts_to_subsmgr
    facts.update(network_facts(system_details))
  File "/usr/lib/python2.6/site-packages/spacewalk_splice_tool/facts.py", line 110, in network_facts
    (iface, addrmask, hwaddr) = n.split()
ValueError: need more than 0 values to unpack


Expected results: successful run


Additional info: This might require a change to spacewalk-reports to escape the ';', and to spacewalk-splice-tool to handle escacped ';' chars.
Comment 3 Xixi 2014-10-23 22:56:37 EDT
Temporary workaround is to use Satellite API to list all systems[1] then find the system with a network interface[2] with ";" in its name, then change the name to remove the ";".

[1] https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.6/html/API_Overview/sect-system-listSystems.html
[2] https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.6/html/API_Overview/sect-system-getNetworkDevices.html

Put this in KCS https://access.redhat.com/solutions/1243013.

Xixi

Note You need to log in before you can comment on or make changes to this bug.